set term png size 800,480

set datafile separator ";"

set ylabel "Voltage (mV)"

datafile = "logfile.log"

samples(x) = $0 > 4 ? 5 : ($0+1)
avg5(x) = (shift5(x), (back1 + back2 + back3 + back4 + back5) / samples($0))
shift5(x) =	(back5 = back4, \
		 back4 = back3, \
		 back3 = back2, \
		 back2 = back1, \
		 back1 = x)
init(x) = (back1 = back2 = back3 = back4 = back5 = sum = 0)

plot sum=init(0), \
	datafile using (avg5($7 - ($7 + $8 + $9) / 3)), \
	datafile using (avg5($8 - ($7 + $8 + $9) / 3)), \
	datafile using (avg5($9 - ($7 + $8 + $9) / 3))
